body, h1, h2, h3, h4, p,
figure, blockquote, dl, dd, pre {
  margin-block-end: 0;
}

article {
  max-width: 700px;
  margin: 0 auto;
  padding: 0 1rem;
}

h1 {
  margin-top: 0;
  margin-bottom: 0;
}

code {
  display: inline-block;
}

pre.code {
  background-color: lightgray;
  border-radius: 2px;
  padding: .5rem;
}

table {
  margin: 0 auto;


  th:first-child, td:first-child {
    text-align: left;
  }
}

figure {
  margin: 5% 0;
  text-align: center;

  figcaption {
    margin: .5rem 0;
    color: gray;

    a {
      color: gray;
    }
  }
}


blockquote {
  background: #f9f9f9;
  border-left: 5px solid #ccc;
  margin: 1.5em 10px;
  padding: 1em 10px;
  quotes: "\201C""\201D""\2018""\2019";
}

blockquote:before {
  color: #ccc;
  font-size: 4em;
  line-height: 0.1em;
  margin-right: 0.25em;
  vertical-align: -0.4em;
}

blockquote p:first-child {
  margin-top: 0px;
}

blockquote p:last-child {
  margin-bottom: 0px;
}

.author {
  color: #498FE6;
}

.pubdate {
  margin-top: 5px;
  color: #498FE6;
}

.book-title, .postscript {
  font-style: italic;
}

aside {
  border: 2px dashed var(--blue-accent);
  background-color: rgba(73, 143, 230, .1);
  padding: .5rem;

  h2 {
    color: black;
  }
}

cite.article {
  font-style: normal;

  &:before {
    content: '“'
  }

  &:after {
    content: '”'
  }
}

.fraction {
  font-variant-numeric: diagonal-fractions;
}

.blog-end {
  display: block;
  margin: 2rem auto;
}
